#
# This is an attempt to write universal spec file. 
# Unfortunately it does not works at least on Fedora
#

# norootforbuild  

%define name anyremote2html
%define version 0.6

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-build  
License: GPLv2+
Name: %{name}
Requires:python >= 2.4, anyremote >= 4.9 
Summary: WEB interface for anyRemote
URL: http://anyremote.sourceforge.net/
Version: %{version}

# Fedora/RHEL/CentOS
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}  
Release: 1%{?dist}  
%endif  
# SUSE
%if 0%{?suse_version} || 0%{?sles_version}  
Release: 1.suse11  
%endif  
# Mandriva
%if 0%{?mandriva_version}  
%define release %mkrel 1  
Release: %{release}  
%endif
# Others  
%if %{undefined fedora_version} && %{undefined rhel_version} && %{undefined centos_version} && %{undefined mandriva_version} && %{undefined suse_version} && %{undefined sles_version}   
Release: 1  
%endif  

%if 0%{?suse_version} || 0%{?sles_version}  
Group: System/Management  
%else  
Group: Applications/System  
%endif 

%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}  
Source0: %{name}-%{version}.tar.gz
%else
Source0: http://downloads.sourceforge.net/anyremote/%{name}-%{version}.tar.gz
%endif 


%description
WEB interface for anyRemote - http://anyremote.sourceforge.net/ - remote 
control software through bluetooth, IR or TCP/IP connection. anyRemote2html 
acts as HTTP server and translates anyRemote commands to HTML.

#########################################################################################  
# Fedora, RHEL or CentOS  
#########################################################################################  
#%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}  
%prep
echo "######################"
echo $RPM_BUILD_ROOT 
echo %{defined fedora_version}
echo "######################"

%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean

#%endif  

#########################################################################################  
# Mandriva
#########################################################################################  
%if 0%{?mandriva_version}  
%prep
%setup -q

%build
./configure --prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALLDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%endif  

#########################################################################################  
# Suse
#########################################################################################  
%if 0%{?suse_version} || 0%{?sles_version}  
%prep
%setup

%build
./configure --prefix=%{_prefix}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] \
 && rm -rf $RPM_BUILD_ROOT

%endif  

%changelog
    
* Mon Sep 29 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.6  
New icon set.

* Wed Aug 20 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.5.2  
Corrected files permissions and specs.  

* Sun May 25 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.5.1  
Change default web port to 5550.   
  
* Mon May 19 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.5  
Better integration with anyRemote.  
  
* Tue Apr 08 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.4  
Minor bugfix  
  
* Tue Mar 04 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.3  
Several icons were added. Use autotools to create makefile.  
  
* Thu Aug 23 2007 Mikhail Fedotov <anyremote at mail.ru> - 0.2  
Initial release
 
%files
%defattr(-,root,root,-) 
%{_datadir}/pixmaps/%{name}
%{_bindir}/%{name}
%{_defaultdocdir}/%{name}
