%define name anyremote2html
%define version 0.6

Summary: WEB interface for anyRemote
Name: %{name}
Version: %{version}
Release: 1.suse11
License: GPLv2+
Group: System/Management
Requires:python >= 2.4, anyremote >= 4.9 
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
URL: http://anyremote.sourceforge.net/

%description
WEB interface for anyRemote - http://anyremote.sourceforge.net/ - remote
control software through bluetooth, IR or TCP/IP connection. anyRemote2html 
acts as HTTP server and translates anyRemote commands to HTML.

%prep
%setup

%build
./configure --prefix=%{_prefix}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] \
 && rm -rf $RPM_BUILD_ROOT

%changelog
  
* Mon Sep 29 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.6  
New icon set.

* Wed Aug 20 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.5.2  
Corrected files permissions and specs.  

* Sun May 25 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.5.1  
Change default web port to 5550.   
  
* Mon May 19 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.5  
Better integration with anyRemote.  
  
* Tue Apr 08 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.4  
Minor bugfix  
  
* Tue Mar 04 2008 Mikhail Fedotov <anyremote at mail.ru> - 0.3  
Several icons were added. Use autotools to create makefile.  
  
* Thu Aug 23 2007 Mikhail Fedotov <anyremote at mail.ru> - 0.2  
Initial release

%files
%defattr(-,root,root,-) 
%{_datadir}/pixmaps/%{name}
%{_bindir}/%{name}
%{_defaultdocdir}/%{name}
